<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: src/plugins/robots/crazyflie/simulator/crazyflie_battery_default_sensor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7020b8b7abcceffa3f9f7a2d24718f16.html">plugins</a></li><li class="navelem"><a class="el" href="dir_57fbab4b29583c403f1efb5284ea3eb3.html">robots</a></li><li class="navelem"><a class="el" href="dir_82540c9fcfb987b606f5fb531cb7ce0a.html">crazyflie</a></li><li class="navelem"><a class="el" href="dir_8f67be75dbc917b3ef586b0672f32ede.html">simulator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">crazyflie_battery_default_sensor.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="crazyflie__battery__default__sensor_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef CRAZYFLIE_BATTERY_DEFAULT_SENSOR_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define CRAZYFLIE_BATTERY_DEFAULT_SENSOR_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;map&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;   <span class="keyword">class </span>CCrazyflieBatteryDefaultSensor;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;   <span class="keyword">class </span>CCrazyflieBatteryEquippedEntity;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;   <span class="keyword">class </span>CPhysicsEngine;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;}</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;argos3/core/utility/math/range.h&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;argos3/core/utility/math/rng.h&gt;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;argos3/core/simulator/space/space.h&gt;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;argos3/core/simulator/sensor.h&gt;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;argos3/plugins/robots/generic/control_interface/ci_battery_sensor.h&gt;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">   29</a></span>&#160;   <span class="keyword">class </span><a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">CCrazyflieBatteryDefaultSensor</a> : <span class="keyword">public</span> CSimulatedSensor,</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                                          <span class="keyword">public</span> CCI_BatterySensor {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;      <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a1852366b7bd7a58714523c59185b3ef8">CCrazyflieBatteryDefaultSensor</a>();</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a783baab85ee25207ac776430d38f3528">   36</a></span>&#160;      <span class="keyword">virtual</span> <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a783baab85ee25207ac776430d38f3528">~CCrazyflieBatteryDefaultSensor</a>() {}</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#aa41a96152fc57e1056cd3f5af333576c">SetRobot</a>(CComposableEntity&amp; c_entity);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a3330f0e0ba9fbe91a44c338b284249a1">Init</a>(TConfigurationNode&amp; t_tree);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a4817bbc56488c5548998ad01d8b4dc30">Update</a>();</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a2dc0a9b1b810775e9a764b8fb1419200">Reset</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;   <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#ae112ad402b7d250b0fb5f2cc2fb485c9">   49</a></span>&#160;      CEmbodiedEntity* <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#ae112ad402b7d250b0fb5f2cc2fb485c9">m_pcEmbodiedEntity</a>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a57a2f97cb7a5a06fa4e1b1c25ff043e6">   52</a></span>&#160;      <a class="code" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a>* <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a57a2f97cb7a5a06fa4e1b1c25ff043e6">m_pcBatteryEntity</a>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a7b0d48f541c75bb328df251dd22ff50d">   55</a></span>&#160;      CRandom::CRNG* <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a7b0d48f541c75bb328df251dd22ff50d">m_pcRNG</a>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#aaede1865c7f2f882c388ca48a42fc9d1">   58</a></span>&#160;      <span class="keywordtype">bool</span> <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#aaede1865c7f2f882c388ca48a42fc9d1">m_bAddNoise</a>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#af70597ff5404360a3976d573454eb7a8">   61</a></span>&#160;      CRange&lt;Real&gt; <a class="code" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#af70597ff5404360a3976d573454eb7a8">m_cNoiseRange</a>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;   };</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;}</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">argos::CCrazyflieBatteryDefaultSensor</a></div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.h:30</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_a1852366b7bd7a58714523c59185b3ef8"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a1852366b7bd7a58714523c59185b3ef8">argos::CCrazyflieBatteryDefaultSensor::CCrazyflieBatteryDefaultSensor</a></div><div class="ttdeci">CCrazyflieBatteryDefaultSensor()</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:26</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_a2dc0a9b1b810775e9a764b8fb1419200"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a2dc0a9b1b810775e9a764b8fb1419200">argos::CCrazyflieBatteryDefaultSensor::Reset</a></div><div class="ttdeci">virtual void Reset()</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:90</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_a3330f0e0ba9fbe91a44c338b284249a1"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a3330f0e0ba9fbe91a44c338b284249a1">argos::CCrazyflieBatteryDefaultSensor::Init</a></div><div class="ttdeci">virtual void Init(TConfigurationNode &amp;t_tree)</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:49</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_a4817bbc56488c5548998ad01d8b4dc30"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a4817bbc56488c5548998ad01d8b4dc30">argos::CCrazyflieBatteryDefaultSensor::Update</a></div><div class="ttdeci">virtual void Update()</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:70</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_a57a2f97cb7a5a06fa4e1b1c25ff043e6"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a57a2f97cb7a5a06fa4e1b1c25ff043e6">argos::CCrazyflieBatteryDefaultSensor::m_pcBatteryEntity</a></div><div class="ttdeci">CCrazyflieBatteryEquippedEntity * m_pcBatteryEntity</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.h:52</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_a783baab85ee25207ac776430d38f3528"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a783baab85ee25207ac776430d38f3528">argos::CCrazyflieBatteryDefaultSensor::~CCrazyflieBatteryDefaultSensor</a></div><div class="ttdeci">virtual ~CCrazyflieBatteryDefaultSensor()</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.h:36</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_a7b0d48f541c75bb328df251dd22ff50d"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a7b0d48f541c75bb328df251dd22ff50d">argos::CCrazyflieBatteryDefaultSensor::m_pcRNG</a></div><div class="ttdeci">CRandom::CRNG * m_pcRNG</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.h:55</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_aa41a96152fc57e1056cd3f5af333576c"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#aa41a96152fc57e1056cd3f5af333576c">argos::CCrazyflieBatteryDefaultSensor::SetRobot</a></div><div class="ttdeci">virtual void SetRobot(CComposableEntity &amp;c_entity)</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:35</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_aaede1865c7f2f882c388ca48a42fc9d1"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#aaede1865c7f2f882c388ca48a42fc9d1">argos::CCrazyflieBatteryDefaultSensor::m_bAddNoise</a></div><div class="ttdeci">bool m_bAddNoise</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.h:58</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_ae112ad402b7d250b0fb5f2cc2fb485c9"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#ae112ad402b7d250b0fb5f2cc2fb485c9">argos::CCrazyflieBatteryDefaultSensor::m_pcEmbodiedEntity</a></div><div class="ttdeci">CEmbodiedEntity * m_pcEmbodiedEntity</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.h:49</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryDefaultSensor_html_af70597ff5404360a3976d573454eb7a8"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#af70597ff5404360a3976d573454eb7a8">argos::CCrazyflieBatteryDefaultSensor::m_cNoiseRange</a></div><div class="ttdeci">CRange&lt; Real &gt; m_cNoiseRange</div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.h:61</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieBatteryEquippedEntity_html"><div class="ttname"><a href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">argos::CCrazyflieBatteryEquippedEntity</a></div><div class="ttdef"><b>Definition:</b> crazyflie_battery_equipped_entity.h:35</div></div>
<div class="ttc" id="anamespaceargos_html"><div class="ttname"><a href="namespaceargos.html">argos</a></div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
